package main

import "fmt"

type User struct {
	First string
	Last  string
}

func (u *User) Reset() {
	u.First = ""
	u.Last = ""
}

func (u *User) IAmGroot() string {
	return "I am Groot"
}

func main() {
	var u *User

	fmt.Println(u.IAmGroot())

	u.Reset()
}
